html,
body,
#svale-ui {
	width: 100%;
	height: 100%;
	margin: 0;
	padding: 0;
}

body {
	color: var(--color-fg);
	background-color: var(--color-bg);
	position: relative;
	line-height: 1.5;
	font-family: Inter, sans-serif;
	font-size: 18px;
	transition: color 250ms, background-color 250ms;
}

#svale-ui {
	position: relative;
	z-index: 1;
}

#svale-ui-bg {
	content: ' ';
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	margin: auto;
	z-index: 0;
	z-index: 0;

	.svale-ui-bg-layer-1,
	.svale-ui-bg-layer-2 {
		content: ' ';
		width: 100%;
		height: 100%;
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		margin: auto;
	}

	.svale-ui-bg-layer-1 {
		background-image: var(--color-bg-image);
		background-size: cover;
		filter: blur(10em);
		opacity: 0.33;

		// Fix Safari performance issues due to filter: blur()
		-webkit-backface-visibility: hidden;
		-webkit-perspective: 1000;
		-webkit-transform: translate3d(0, 0, 0);
		-webkit-transform: translateZ(0);
		backface-visibility: hidden;
		perspective: 1000;
		transform: translate3d(0, 0, 0);
		transform: translateZ(0);
	}

	.svale-ui-bg-layer-2 {
		opacity: 0.15;
		background-repeat: repeat;
		background-size: 2em 2em;
		background-image: radial-gradient(circle, var(--color-fg) 1px, transparent 1px);
	}
}
